Skip to content
GET

Get shipment status

https://api.kustom.co/shipment/{shipment_id}

Get carrier product codes for the shipment, shipment status and optional carrier tracking data.

Parameters2 fields
  • shipment_idstringrequiredin path

    Unique shipment ID.

  • Authorizationstringrequiredin header

    Authorization token on format Bearer <token>.

200
Response12 fields

Successful operation.

  • additional_infostringoptional

    Any additional information that should be passed to a merchant from TMS can be provided here. Limit is 256 characters.

  • selected_shipping_optionobjectrequired
    5 fields in selected_shipping_option
    • carrierstringrequired

      Transportation carrier company used.

      • merchant can be used for merchant self-hosted delivery methods (ex. instore pickup).
      • generic-postal can be used to indicate a generic postal network.
      • Additional carriers can be supported on request.
      Value should be one of:
      • acs-courier
      • airmee
      • an-post
      • asendia
      • australia-post
      • austrian-post
      • bartolini
      • best
      • bpost
      • bring
      • bring-green
      • budbee
      • +94 more
    • carrier_productobjectoptional
      3 fields in carrier_product
      • addon_identifiers[]array<string>optional

        Product addon identifiers

      • identifierstringoptional

        Carrier identifier/product code

      • namestringoptional

        Carrier product name

  • shipment_idstringrequired

    The id of the (reserved) shipment

  • shipments[]array<object>optional
    3 fields in shipments
    • carrierstringoptional

      Transportation carrier company used.

      • merchant can be used for merchant self-hosted delivery methods (ex. instore pickup).
      • generic-postal can be used to indicate a generic postal network.
      • Additional carriers can be supported on request.
      Value should be one of:
      • acs-courier
      • airmee
      • an-post
      • asendia
      • australia-post
      • austrian-post
      • bartolini
      • best
      • bpost
      • bring
      • bring-green
      • budbee
      • +94 more
    • tracking_idstringoptional

      Carrier-specific tracking id.

    • tracking_urlstringoptional

      Carrier-specific URL to a web page where the consumer can see and make changes to their delivery.

401
Response0 fields

Invalid or expired token. A new token will be obtained.

No response body — this status returns headers only.

404
Response0 fields

No such shipment.

No response body — this status returns headers only.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.